Subject: Re: [PULL] Pull request from msysGit

From: Peter Harris <[email-masked]>
Date: Thu, 07 Oct 2010 15:30:46 -0400

On 2010-10-07 13:17, Ramsay Jones wrote:
> Now, Peter Harris has already submitted a fix for this, which is
> currently on the work/msvc-fixes branch, which contains:
> 
>     358f1be Modify MSVC wrapper script
>     38bd27d Fix MSVC build
> 
> The suggested fix is given in commit 38bd27d. However, I prefer a
> different solution, which is given below:
> 
> --- >8 ---
> diff --git a/compat/mingw.h b/compat/mingw.h
> index afedf3a..445d1a1 100644
> --- a/compat/mingw.h
> +++ b/compat/mingw.h
> @@ -12,12 +12,6 @@ typedef int pid_t;
>  #define S_ISLNK(x) (((x) & S_IFMT) == S_IFLNK)
>  #define S_ISSOCK(x) 0
>  
> -#ifndef _STAT_H_
> -#define S_IRUSR 0
> -#define S_IWUSR 0
> -#define S_IXUSR 0
> -#define S_IRWXU (S_IRUSR | S_IWUSR | S_IXUSR)
> -#endif
>  #define S_IRGRP 0
>  #define S_IWGRP 0
>  #define S_IXGRP 0
> --- 8< ---
> 
> Note that, for *both* MinGW and MSVC, the deleted #defines
> are not wanted, pointless and just plain wrong! :-D

I didn't realize that the defines were not wanted for MinGW either.

I heartily approve of removing code rather than just ifdefing around it.
Please use this version of the patch instead of mine.

Peter Harris
-- 
               Open Text Connectivity Solutions Group
Peter Harris                    http://connectivity.opentext.com/
Research and Development        Phone: +1 905 762 6001
[email-masked]            Toll Free: 1 877 359 4866